> For the complete documentation index, see [llms.txt](https://docs.valtimo.nl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.valtimo.nl/v12/features/case/for-developers/register-angular-component.md).

# Register Angular component

By registering custom Angular components in the Valtimo front-end implementation these components can be used withing case widgets. The output of the component will be displayed as the content of a widget.\\

## Register component

The custom component widget is meant to display any custom Angular component that you may need. There is a prerequisite for being able to configure this kind of widget. You need to register your custom component through our injection token available in *@valtimo/dossier*.

In order to do this the following needs to be added to the app.module file in the codebase of the front-end implementation.

**Module:**\
`sample.app.module.ts`

**Configuration:**

```
...
import {CUSTOM_CASE_WIDGET_TOKEN} from '@valtimo/dossier';
import {ExampleCustomComponent} from 'custom-component-path';
...
@NgModule({
  ...
  providers:[
  {
   provide: CUSTOM_CASE_WIDGET_TOKEN,
   useValue: {
     caseWidgetComponent: ExampleCustomComponent,
     },
  },
 ]
})
export class SampleAppModule
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.valtimo.nl/v12/features/case/for-developers/register-angular-component.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
